{% extends 'base/base.html' %}

{% load static %}

{% block page_content %}
   <form method="POST" class="form-inline" enctype="multipart/form-data">
       {% csrf_token %}
        <div class="col-xl-10 col-md-10 mb-12">
            
            {% if obj %}      
                <div class="card border-left-warning shadow h-100 py-2">
            {% else %}
                <div class="card border-left-success shadow h-100 py-2">
            {% endif %}
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                {% if obj %} Editar {% else %} Nuevo {% endif %} Contribuyente
                            </div>                        
                            <div class="dropdown-divider"></div>  
                            
                            <div class="col mb-3">
                                <div class="card">
                                    <img src="{% static 'base/img/contribuyentes_edit.svg' %}" class="card-img-top" alt="..." height="120px">
                                    <div class="card-body">
                                      <h5 class="card-title text-md-center">Contribuyentes Registrados - Presidencia Municipal</h5>                                      
                                    </div>
                                </div>
                            </div>
                           
                            <!-- {{ form.errors }} -->

                            <!--
                            <div class="row mb-3">
                                <div class="col-md-2"></div>
                                <div class="col-md-8 text-uppercase font-weight-bold">
                                    {{ form.numero_de_cuenta_predial.label }}:
                                    <div class="input-group">
                                        <input type="number" name="numero_de_cuenta_predial" id="id_numero_de_cuenta_predial" min="1" max="99999999" class="form-control" value="{{ obj.numero_de_cuenta_predial }}" required>
                                    </div> 
                                    
                                    div class="input-group">
                                        {{ form.numero_de_cuenta_predial }}
                                    </div>
                                
                            </div>
                            -->
                            
                            <!-- fila 1 -->
                            <div class="row mb-3">
                                <div class="col-md-4 text-uppercase font-weight-bold">
                                    {{ form.nombre.label }}:
                                    <div class="input-group">                                        
                                        {{ form.nombre }}
                                    </div>
                                </div>
                                <div class="col-md-4 text-uppercase font-weight-bold">
                                    APELLIDO PATERNO:
                                    <div class="input-group">
                                        {{ form.ap_paterno }}
                                    </div>
                                </div>
                                <div class="col-md-4 text-uppercase font-weight-light">
                                    {{ form.ap_materno.label }}:
                                    <div class="input-group">
                                        {{ form.ap_materno }}
                                    </div>
                                </div>
                            </div>

                            <!-- fila 2 -->
                            <div class="row mb-3">
                                <div class="col-md-4 text-uppercase font-weight-light">
                                    {{ form.genero.label }}:
                                    <div class="input-group">
                                        {{ form.genero }}
                                    </div>
                                </div>

                                <div class="col-md-4 text-uppercase font-weight-light">
                                    {{ form.domicilio.label }}:
                                    <div class="input-group">
                                        {{ form.domicilio }}
                                    </div>
                                </div>
                                
                                <div class="col-md-4 text-uppercase font-weight-bold">
                                    {{ form.localidad.label }}:
                                    <div class="input-group">
                                        {{ form.localidad }}
                                    </div>
                                </div>
                                
                            </div>

                            <!-- fila 3 -->
                            <div class="row mb-3">
                                <div class="col-md-4 text-uppercase font-weight-light">
                                    {{ form.telefono.label }}:
                                    <div class="input-group">
                                        {{ form.telefono }}
                                    </div>
                                </div>

                                <div class="col-md-4 text-uppercase font-weight-light">
                                    {{ form.expediente.label }}:
                                    <div class="input-group">
                                        {{ form.expediente }}
                                    </div>
                                </div>

                                <div class="col-md-4 text-uppercase font-weight-light">
                                    {{ form.notas_adicionales.label }}:
                                    <div class="input-group">
                                        {{ form.notas_adicionales }}
                                    </div>
                                </div>                                
                            </div>                           
                            
                            <!-- {{ form.as_p }} -->
                            <div class="dropdown-divider"></div>
                            <div class="row mt-3">
                                <div class="col-2"></div>

                                <div class="col-4">
                                    <button type="submit" class="btn btn-danger btn-block">
                                        <span class="fa fa-save"></span> Guardar
                                    </button>
                                </div>

                                <div class="col-4">                                    
                                    <a href="{% url 'catastro:contribuyentes_list' %}" class="btn btn-success btn-block">                                                                               
                                        <span class="fa fa-undo"></span> Cancelar                                         
                                    </a>                                  
                                </div>
                                    
                                <div class="col-2"></div>                                                                       
                            </div>                               
                            
                        </div>                        
                    </div>
                </div>
            </div>
        </div>
   </form>  
{% endblock page_content %}    
{% block js_page %}
    <script>
        {% if form.errors %}
            //si el formulario tiene errores
            {% for field in form %}
                {% if field.errors %}
                    {% for error in field.errors %}
                        mensaje('{{ error|escape }}', 'red')
                    {% endfor %}
                {% endif %}
            {% endfor %}
        {% endif %}


        {% if form.non_field_errors %}
            {% for error in form.non_field_errors %}
                mensaje('{{ error|escape }}', 'red')
            {% endfor %}
        {% endif %}
    </script>
{% endblock js_page %}


    